package com.iamberry.wechat.core.entity.statictics;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.iamberry.wechat.core.entity.PageBean;

public class AttentionInfo implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -6952895009419443183L;
	
	private Integer placeId;							//商户层表id
	
	private Integer placePid;							//商户层父id
	
	private String palceOpenid;						//商户层openId

	private String qrcodeUrl;							//二维码

	private String provinceName;					//省代名称
	
	private String cityName;							//市代名称
	
	private String storeName;						//门店名称
	
	private Integer attentionSum;					//总关注人数
	
	private Integer nowAttentionNum;			//在关注人数
	
	private Integer cancelAttentionNum;		//取消关注人数
	
	private Date firstEmployDate;					//首次使用时间
	
	private PageBean page = new PageBean(); 								//分页信息
	
	private List<Integer> roleList = new ArrayList<Integer>();
	
	
	public List<Integer> getRoleList() {
		return roleList;
	}

	public void setRoleList(List<Integer> roleList) {
		this.roleList = roleList;
	}

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}

	public String getPalceOpenid() {
		return palceOpenid;
	}

	public void setPalceOpenid(String palceOpenid) {
		this.palceOpenid = palceOpenid;
	}

	public Integer getPlaceId() {
		return placeId;
	}

	public void setPlaceId(Integer placeId) {
		this.placeId = placeId;
	}

	public Integer getPlacePid() {
		return placePid;
	}

	public void setPlacePid(Integer placePid) {
		this.placePid = placePid;
	}

	public String getQrcodeUrl() {
		return qrcodeUrl;
	}

	public void setQrcodeUrl(String qrcodeUrl) {
		this.qrcodeUrl = qrcodeUrl;
	}

	public String getProvinceName() {
		return provinceName;
	}

	public void setProvinceName(String provinceName) {
		this.provinceName = provinceName;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public Integer getAttentionSum() {
		return attentionSum;
	}

	public void setAttentionSum(Integer attentionSum) {
		this.attentionSum = attentionSum;
	}

	public Integer getNowAttentionNum() {
		return nowAttentionNum;
	}

	public void setNowAttentionNum(Integer nowAttentionNum) {
		this.nowAttentionNum = nowAttentionNum;
	}

	public Integer getCancelAttentionNum() {
		return cancelAttentionNum;
	}

	public void setCancelAttentionNum(Integer cancelAttentionNum) {
		this.cancelAttentionNum = cancelAttentionNum;
	}

	public Date getFirstEmployDate() {
		return firstEmployDate;
	}

	public void setFirstEmployDate(Date firstEmployDate) {
		this.firstEmployDate = firstEmployDate;
	}
	
	
}
